## org.apache.jasper.compiler
Class EscapeUnicodeWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--org.apache.jasper.compiler.EscapeUnicodeWriter

public class EscapeUnicodeWriter
extends java.io.Writer

Used to escape unicode characters with \ u's.

Author:
  Anselm Baird-Smith

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`EscapeUnicodeWriter(java.io.OutputStream out)`

Method Summary
`void` `close()`
`void` `flush()`
`void` `write(char[] buf, int off, int len)`

Methods inherited from class java.io.Writer
`write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscapeUnicodeWriter

    public EscapeUnicodeWriter(java.io.OutputStream out)

Method Detail

### write

    public void write(char[] buf,
                      int off,
                      int len)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.Writer`
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in class `java.io.Writer`
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in class `java.io.Writer`
    `java.io.IOException`

Copyright © 2000 Apache Software Foundation. All Rights Reserved.